Rensei docs
API ReferenceOrganization

Update settings for the authenticated organization.

Update settings for the authenticated organization. - Rensei REST API operation reference.

PUT
/api/org/settings

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
name?string
slug?string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length2 <= length <= 48
providerPreference?array<>|null

Response Body

Updated organization settings.

application/json
  1. response
org*

Organization identity and model provider preference. No billing, policy, or provisioning columns.

Example Request
curl -X PUT 'https://app.rensei.ai/api/org/settings' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "org": {    "id": "string",    "name": "string",    "slug": "string",    "providerPreference": [      "string"    ]  }}